# WRAPPED AXI4-STREAM MATRIX MULTIPLIER HLS PROJECT
open_project hls_wrapped_mmult_prj
set_top HLS_accel
add_files mmult_accel.cpp -cflags "-DDB_DEBUG"
add_files -tb mmult_test.cpp -cflags "-DDB_DEBUG"
open_solution "solution0"
set_part {xczu3eg-sbva484-1-i}
create_clock -period 6.6666 -name default
set_directive_inline "mmult_hw"
set_directive_pipeline -II 1 "mmult_hw/L2"
set_directive_array_partition -type block -factor 32 -dim 2 "mmult_hw" a
set_directive_array_partition -type block -factor 32 -dim 1 "mmult_hw" b
csim_design -clean
csynth_design
export_design -rtl verilog -format ip_catalog
close_project
quit
